VersionLoggerListener (Apache Tomcat 9.0.117 API Documentation)
Description: declaration: package: org.apache.catalina.startup, class: VersionLoggerListener

# Class VersionLoggerListener

java.lang.Object
org.apache.catalina.startup.VersionLoggerListener

All Implemented Interfaces:
  `LifecycleListener`

public class VersionLoggerListener extends Object implements LifecycleListener
Logs version information on startup.

This listener must only be nested within `Server` elements and should be the first listener defined.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final StringManager`
  `sm`
  The string manager for this package.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VersionLoggerListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getLogArgs()`
  `boolean`
  `getLogEnv()`
  `boolean`
  `getLogProps()`
  `void`
  `lifecycleEvent(LifecycleEvent event)`
  Acknowledge the occurrence of the specified event.
  `void`
  `setLogArgs(boolean logArgs)`
  `void`
  `setLogEnv(boolean logEnv)`
  `void`
  `setLogProps(boolean logProps)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### sm

    protected static final StringManager sm
    The string manager for this package.

- ## Constructor Details

  - ### VersionLoggerListener

    public VersionLoggerListener()

- ## Method Details

  - ### getLogArgs

    public boolean getLogArgs()

  - ### setLogArgs

    public void setLogArgs(boolean logArgs)

  - ### getLogEnv

    public boolean getLogEnv()

  - ### setLogEnv

    public void setLogEnv(boolean logEnv)

  - ### getLogProps

    public boolean getLogProps()

  - ### setLogProps

    public void setLogProps(boolean logProps)

  - ### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)
    Description copied from interface: `LifecycleListener`
    Acknowledge the occurrence of the specified event.
    Specified by:
      `lifecycleEvent` in interface `LifecycleListener`
    Parameters:
      `event` - LifecycleEvent that has occurred